package com.hp.user.client.entity;

/**
 * <p>
 * 企业和服务商的关系
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

public class CustomerServiceProviderEnterpriseVO {
    private String id;
    /**
     * 服务商Id
     */
    private String serviceProviderId;
    /**
     * 企业Id
     */
    private String enterpriseId;

    public CustomerServiceProviderEnterpriseVO(){}

    public CustomerServiceProviderEnterpriseVO(String serviceProviderId, String enterpriseId) {
        this.serviceProviderId = serviceProviderId;
        this.enterpriseId = enterpriseId;
    }

    public CustomerServiceProviderEnterpriseVO(String id, String serviceProviderId, String enterpriseId) {
        this.id = id;
        this.serviceProviderId = serviceProviderId;
        this.enterpriseId = enterpriseId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getServiceProviderId() {
        return serviceProviderId;
    }

    public void setServiceProviderId(String serviceProviderId) {
        this.serviceProviderId = serviceProviderId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
