package com.hp.user.service.controller;

import com.hp.user.client.entity.AuditVO;
import com.hp.user.client.entity.Result;
import com.hp.user.client.service.AuditService;
import com.hp.user.service.utils.IdWorker;
import com.hp.user.service.utils.HttpResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "企业审核接口")
@RestController
@RequestMapping("/audit")
public class AuditController {
    @Autowired
    private AuditService auditService;

    @ApiOperation(value = "是否通过企业审核",notes = "若操作成功会返回新的审核记录Id")
    @PostMapping("/passCompanyAudit")
    public Result passCompanyAudit(@RequestBody AuditVO audit){
        audit.setAuditId(IdWorker.generactorId().toString());
        return auditService.insert(audit);
    }
}
